Package com.emc.d2fs.services.locate_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.locate_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.locate_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.locate_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetLocationByDqlRequest`
  `createGetLocationByDqlRequest()`
  Create an instance of `GetLocationByDqlRequest`
  `GetLocationByDqlResponse`
  `createGetLocationByDqlResponse()`
  Create an instance of `GetLocationByDqlResponse`
  `GetLocationByIdRequest`
  `createGetLocationByIdRequest()`
  Create an instance of `GetLocationByIdRequest`
  `GetLocationByIdResponse`
  `createGetLocationByIdResponse()`
  Create an instance of `GetLocationByIdResponse`
  `GetLocationByNameRequest`
  `createGetLocationByNameRequest()`
  Create an instance of `GetLocationByNameRequest`
  `GetLocationByNameResponse`
  `createGetLocationByNameResponse()`
  Create an instance of `GetLocationByNameResponse`
  `GetLocationByPathRequest`
  `createGetLocationByPathRequest()`
  Create an instance of `GetLocationByPathRequest`
  `GetLocationByPathResponse`
  `createGetLocationByPathResponse()`
  Create an instance of `GetLocationByPathResponse`
  `GetLocationByTypeRequest`
  `createGetLocationByTypeRequest()`
  Create an instance of `GetLocationByTypeRequest`
  `GetLocationByTypeResponse`
  `createGetLocationByTypeResponse()`
  Create an instance of `GetLocationByTypeResponse`
  `GetLocationForBreadCrumbRequest`
  `createGetLocationForBreadCrumbRequest()`
  Create an instance of `GetLocationForBreadCrumbRequest`
  `GetLocationForBreadCrumbResponse`
  `createGetLocationForBreadCrumbResponse()`
  Create an instance of `GetLocationForBreadCrumbResponse`
  `GetLocationRequest`
  `createGetLocationRequest()`
  Create an instance of `GetLocationRequest`
  `GetLocationResponse`
  `createGetLocationResponse()`
  Create an instance of `GetLocationResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.locate_service

- ## Method Details

  - ### createGetLocationRequest

    public GetLocationRequest createGetLocationRequest()
    Create an instance of `GetLocationRequest`

  - ### createGetLocationResponse

    public GetLocationResponse createGetLocationResponse()
    Create an instance of `GetLocationResponse`

  - ### createGetLocationForBreadCrumbRequest

    public GetLocationForBreadCrumbRequest createGetLocationForBreadCrumbRequest()
    Create an instance of `GetLocationForBreadCrumbRequest`

  - ### createGetLocationForBreadCrumbResponse

    public GetLocationForBreadCrumbResponse createGetLocationForBreadCrumbResponse()
    Create an instance of `GetLocationForBreadCrumbResponse`

  - ### createGetLocationByIdRequest

    public GetLocationByIdRequest createGetLocationByIdRequest()
    Create an instance of `GetLocationByIdRequest`

  - ### createGetLocationByIdResponse

    public GetLocationByIdResponse createGetLocationByIdResponse()
    Create an instance of `GetLocationByIdResponse`

  - ### createGetLocationByNameRequest

    public GetLocationByNameRequest createGetLocationByNameRequest()
    Create an instance of `GetLocationByNameRequest`

  - ### createGetLocationByNameResponse

    public GetLocationByNameResponse createGetLocationByNameResponse()
    Create an instance of `GetLocationByNameResponse`

  - ### createGetLocationByDqlRequest

    public GetLocationByDqlRequest createGetLocationByDqlRequest()
    Create an instance of `GetLocationByDqlRequest`

  - ### createGetLocationByDqlResponse

    public GetLocationByDqlResponse createGetLocationByDqlResponse()
    Create an instance of `GetLocationByDqlResponse`

  - ### createGetLocationByPathRequest

    public GetLocationByPathRequest createGetLocationByPathRequest()
    Create an instance of `GetLocationByPathRequest`

  - ### createGetLocationByPathResponse

    public GetLocationByPathResponse createGetLocationByPathResponse()
    Create an instance of `GetLocationByPathResponse`

  - ### createGetLocationByTypeRequest

    public GetLocationByTypeRequest createGetLocationByTypeRequest()
    Create an instance of `GetLocationByTypeRequest`

  - ### createGetLocationByTypeResponse

    public GetLocationByTypeResponse createGetLocationByTypeResponse()
    Create an instance of `GetLocationByTypeResponse`